## netsniff-ng 0.6.0

=== Makefile ===
# netsniff-ng build system
# Copyright 2012 - 2013 Daniel Borkmann <borkmann@gnumaniacs.org>
# Copyright 2013 - 2015 Tobias Klauser <tklauser@distanz.ch>
# Subject to the GNU GPL, version 2.

-include Config
-include Cmds
-include Extra
-include Template
-include Misc

ifndef CONFIG_OK
  $(error "Please run `./configure' before `make'")
endif

VERSION = 0
PATCHLEVEL = 6
SUBLEVEL = 0
EXTRAVERSION =
NAME = avril altdelay

TOOLS ?= $(CONFIG_TOOLS)
TOOLS ?= netsniff-ng trafgen astraceroute flowtop ifpps bpfc curvetun mausezahn

# For packaging purposes, prefix can define a different path.
PREFIX ?= /usr/local

# Set to use ccache for compilation
CCACHE ?=

# Location of an alternative destination directory for installation
# Useful when cross-compiling and installing in a dedicated target directory
DESTDIR=

# Location of installation paths.
SBINDIR = $(PREFIX)/sbin
INCDIR = $(PREFIX)/include
ETCDIR ?= /etc
ETCDIRE = $(ETCDIR)/netsniff-ng
MAN8DIR = $(PREFIX)/share/man/man8

# Shut up make, helper warnings, parallel compilation!
MAKEFLAGS += --no-print-directory
MAKEFLAGS += -rR
MAKEFLAGS += --warn-undefined-variables
MAKEFLAGS += --jobs=$(shell grep "^processor" /proc/cpuinfo | wc -l)

# Debugging option
ifeq ("$(origin DEBUG)", "command line")
  DEBUG := 1
else
  DEBUG := 0
endif

# Compiler detection
ifneq ($(CC),)
ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang version"), 1)
COMPILER := clang
else
COMPILER := gcc
endif
export COMPILER
endif

# For packaging purposes, you might want to call your own:
#   make CFLAGS="<flags>"
CFLAGS_DEF  = -std=gnu99
CFLAGS_DEF += -pipe
CFLAGS_DEF += -O2

ifeq ($(DEBUG), 1)
  CFLAGS_DEF += -g
endif

ifeq ($(HARDENING), 1)
  CFLAGS_DEF += -fPIE -pie
  CFLAGS_DEF += -Wl,-z,relro,-z,now
  CFLAGS_DEF += -fstack-protector-all
  CFLAGS_DEF += -Wstack-protector
  CFLAGS_DEF += --param=ssp-buffer-size=4
  CFLAGS_DEF += -ftrapv
  CFLAGS_DEF += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
  CFLAGS_DEF += -fexceptions
endif

CFLAGS_DEF += -fomit-frame-pointer
CFLAGS_DEF += -fno-strict-aliasing
CFLAGS_DEF += -fasynchronous-unwind-tables
ifneq ($(COMPILER), clang)
CFLAGS_DEF += -fno-delete-null-pointer-checks
endif

CFLAGS_MIN  = -D_REENTRANT
CFLAGS_MIN += -D_LARGEFILE_SOURCE
CFLAGS_MIN += -D_LARGEFILE64_SOURCE
CFLAGS_MIN += -D_FILE_OFFSET_BITS=64
CFLAGS_MIN += -DVERSION_STRING=\"$(VERSION_STRING)\"
CFLAGS_MIN += -DVERSION_LONG=\"$(VERSION_LONG)\"
CFLAGS_MIN += -DETCDIRE_STRING=\"$(ETCDIRE)\"

WFLAGS_DEF  = -Wall

CPPFLAGS  ?=
CFLAGS    ?= $(CFLAGS_DEF) $(WFLAGS_DEF) $(CPPFLAGS)
override CFLAGS += $(CFLAGS_MIN) -I.

LEX_FLAGS  =
YAAC_FLAGS =

LDFLAGS   ?=
ifeq ("$(origin CROSS_LD_LIBRARY_PATH)", "command line")
  LDFLAGS += -L$(CROSS_LD_LIBRARY_PATH)
endif

CHECKFLAGS = -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix \
	     -Wbitwise -Wnoreturn-void

VERSION_SHORT  =  $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)
VERSION_STRING = "$(VERSION_SHORT)$(CONFIG_RC)"
VERSION_LONG   = "$(VERSION_SHORT)$(CONFIG_RC) ($(NAME))"

export VERSION PATCHLEVEL SUBLEVEL EXTRAVERSION
export DEBUG HARDENING

ifneq ("$(TERM)", "")
  bold   = $(shell tput bold)
  normal = $(shell tput sgr0)
else
  bold   =
  normal =
endif

ifneq ("$(CROSS_COMPILE)", "")
  WHAT := Cross-compiling
else
  WHAT := Building
endif

build_showinfo:
	$(Q)echo "$(bold)$(WHAT) netsniff-ng toolkit ($(VERSION_STRING)) for" \
	      $(shell $(CCNQ) -dumpmachine)":$(normal)"
clean_showinfo:
	$(Q)echo "$(bold)Cleaning netsniff-ng toolkit ($(VERSION_STRING)):$(normal)"

.PHONY: all toolkit $(TOOLS) clean %_prehook %_clean %_install %_uninstall tag tags cscope
.IGNORE: %_clean_custom %_install_custom
.NOTPARALLEL: $(TOOLS)
.DEFAULT_GOAL := all
.DEFAULT:
.FORCE:

all: build_showinfo toolkit
allbutcurvetun: $(filter-out curvetun,$(TOOLS))
allbutmausezahn: $(filter-out mausezahn,$(TOOLS))
toolkit: $(TOOLS)
clean: $(foreach tool,$(TOOLS),$(tool)_clean)
distclean: clean
	$(Q)$(call RM,Config)
	$(Q)$(call RM,config.h)
	$(Q)$(call RM,config.log)
	$(Q)$(call RM,cov-int)
	$(Q)$(call RM,netsniff-ng-coverity.tgz)
mrproper: distclean
	$(Q)$(GIT_REM)

install: install_all
install_all: $(foreach tool,$(TOOLS),$(tool)_install)
install_allbutcurvetun: $(foreach tool,$(filter-out curvetun,$(TOOLS)),$(tool)_install)
install_allbutmausezahn: $(foreach tool,$(filter-out mausezahn,$(TOOLS)),$(tool)_install)
uninstall: $(foreach tool,$(TOOLS),$(tool)_uninstall)

%.yy.o: %.l
	$(LEX) -P $(shell perl -wlne 'print $$1 if /lex-func-prefix:\s([a-z]+)/' $<) \
	       -o $(BUILD_DIR)/$(shell basename $< .l).yy.c $(LEX_FLAGS) $<
%.tab.o: %.y
	$(YAAC) -p $(shell perl -wlne 'print $$1 if /yaac-func-prefix:\s([a-z]+)/' $<) \
		-o $(BUILD_DIR)/$(shell basename $< .y).tab.c $(YAAC_FLAGS) -d $<

$(foreach tool,$(TOOLS),$(eval $(call TOOL_templ,$(tool))))

%:: ;

$(TOOLS):
	$(LDQ) $(LDFLAGS) -o $@/$@ $@/*.o $($@-libs)

=== astraceroute/Makefile ===
astraceroute-libs =	-lpthread

ifeq ($(CONFIG_GEOIP), 1)
astraceroute-libs +=	-lGeoIP \
			-lz
endif


astraceroute-objs =	xmalloc.o \
			proto_none.o \
			tprintf.o \
			bpf.o \
			str.o \
			sig.o \
			sock.o \
			link.o \
			dev.o \
			ring.o \
			die.o \
			sysctl.o \
			astraceroute.o

ifeq ($(CONFIG_GEOIP), 1)
astraceroute-objs +=	geoip.o \
			ioops.o
endif

astraceroute-eflags =

astraceroute-confs =	geoip.conf

=== bpfc/Makefile ===
bpfc-libs =

bpfc-objs =	xmalloc.o \
		str.o \
		bpf.o \
		bpf_lexer.yy.o \
		bpf_parser.tab.o \
		die.o \
		sysctl.o \
		bpfc.o

bpfc-lex =	bpf_lexer.yy.o

bpfc-yaac =	bpf_parser.tab.o

bpfc-eflags =	-I..

bpfc-confs =

bpfc_clean_custom:
	$(Q)$(call RM,$(BUILD_DIR)/*.h $(BUILD_DIR)/*.c)

=== curvetun/Makefile ===
curvetun-libs =	-l${CONFIG_NACL_LIB} \
		-lpthread

curvetun-objs =	xmalloc.o \
		epoll2.o \
		str.o \
		dev.o \
		stun.o \
		sock.o \
		sig.o \
		link.o \
		patricia.o \
		corking.o \
		trie.o \
		taia.o \
		hash.o \
		rnd.o \
		curve.o \
		curve_test.o \
		cookie.o \
		keypair.o \
		ioexact.o \
		ioops.o \
		cpusched.o \
		die.o \
		sysctl.o \
		curvetun_mgmt_servers.o \
		curvetun_mgmt_users.o \
		curvetun_server.o \
		curvetun_client.o \
		curvetun.o

curvetun-eflags = -I ${CONFIG_NACL_INC_DIR}

curvetun-confs =

=== flowtop/Makefile ===
flowtop-libs =	-lurcu \
		-lnetfilter_conntrack \
		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs ncurses 2> /dev/null \
			|| echo '-lncurses') \
		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs tinfo 2> /dev/null ) \
		-lpthread

ifeq ($(CONFIG_GEOIP), 1)
flowtop-libs +=	-lGeoIP \
		-lz
endif

flowtop-objs =	xmalloc.o \
		oui.o \
		str.o \
		sig.o \
		sock.o \
		proc.o \
		dev.o \
		link.o \
		hash.o \
		lookup.o \
		screen.o \
		die.o \
		sysctl.o \
		flowtop.o

ifeq ($(CONFIG_GEOIP), 1)
flowtop-objs +=	geoip.o \
		ioops.o
endif

flowtop-eflags = $(shell $(PKG_CONFIG) --cflags ncurses) \
                 $(shell $(PKG_CONFIG) --cflags libnetfilter_conntrack)

flowtop-confs =	tcp.conf \
		udp.conf \
		geoip.conf

=== mausezahn/Makefile ===
mausezahn-libs =	-lcli \
			-lnet \
			-lpcap \
			-lrt \
			-lpthread \
			-lm

mausezahn-objs =	str.o \
			die.o \
			xmalloc.o \
			staging/layer1.o \
			staging/layer2.o \
			staging/layer3.o \
			staging/layer4.o \
			staging/hextools.o \
			staging/tools.o \
			staging/lookupdev.o \
			staging/time.o \
			staging/modifications.o \
			staging/send_eth.o \
			staging/send.o \
			staging/cdp.o \
			staging/rtp.o \
			staging/dns.o \
			staging/rcv_rtp.o \
			staging/syslog.o \
			staging/cli.o \
			staging/cli_cmds.o \
			staging/cli_launch.o \
			staging/cli_legacy.o \
			staging/cli_packet.o \
			staging/cli_interface.o \
			staging/cli_set.o \
			staging/cli_dns.o \
			staging/cli_arp.o \
			staging/cli_bpdu.o \
			staging/cli_eth.o \
			staging/cli_ip.o \
			staging/cli_udp.o \
			staging/cli_tcp.o \
			staging/cli_rtp.o \
			staging/cli_tools.o \
			staging/cli_igmp.o \
			staging/cli_lldp.o \
			staging/cli_sequence.o \
			staging/mops.o \
			staging/mops_update.o \
			staging/mops_tools.o \
			staging/mops_checksums.o \
			staging/mops_threads.o \
			staging/mops_dot1Q.o \
			staging/mops_mpls.o \
			staging/mops_ip.o \
			staging/mops_tcp.o \
			staging/mops_ext.o \
			staging/mops_ext_arp.o \
			staging/mops_ext_bpdu.o \
			staging/mops_ext_rtp.o \
			staging/mopsrx_arp.o \
			staging/mops_ext_igmp.o \
			staging/mops_ext_lldp.o \
			staging/mops_sequence.o \
			staging/automops.o \
			staging/parse_xml.o \
			staging/tx_switch.o \
			staging/llist.o \
			staging/directmops.o \
			staging/mausezahn.o

mausezahn-eflags = -O2 -I. -I.. \
		   -DVERSION_STRING=\"$(VERSION_STRING)\" \
		   -DVERSION_LONG=\"$(VERSION_LONG)\"

mausezahn-confs =

=== netsniff-ng/Makefile ===
netsniff-ng-libs =	$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-3.0) \
			$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-genl-3.0) \
			$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-route-3.0) \
			-lpthread

ifeq ($(CONFIG_LIBPCAP), 1)
netsniff-ng-libs +=	-lpcap
endif
ifeq ($(CONFIG_GEOIP), 1)
netsniff-ng-libs +=	-lGeoIP \
			-lz
endif

netsniff-ng-objs =	dissector.o \
			dissector_sll.o \
			dissector_eth.o \
			dissector_80211.o \
			dissector_netlink.o \
			lookup.o \
			proto_arp.o \
			proto_ethernet.o \
			proto_icmpv4.o \
			proto_icmpv6.o \
			proto_igmp.o \
			proto_ip_authentication_hdr.o \
			proto_ip_esp.o \
			proto_ipv4.o \
			proto_ipv6.o \
			proto_ipv6_dest_opts.o \
			proto_ipv6_fragm.o \
			proto_ipv6_hop_by_hop.o \
			proto_ipv6_in_ipv4.o \
			proto_ipv6_mobility_hdr.o \
			proto_ipv6_no_nxt_hdr.o \
			proto_ipv6_routing.o \
			proto_lldp.o \
			proto_nlmsg.o \
			proto_none.o \
			proto_tcp.o \
			proto_udp.o \
			proto_vlan.o \
			proto_vlan_q_in_q.o \
			proto_mpls_unicast.o \
			proto_80211_mac_hdr.o \
			privs.o \
			proc.o \
			dev.o \
			str.o \
			sig.o \
			sock.o \
			irq.o \
			iosched.o \
			ioops.o \
			link.o \
			xmalloc.o \
			hash.o \
			bpf.o \
			oui.o \
			pcap_rw.o \
			pcap_sg.o \
			pcap_mm.o \
			ring_rx.o \
			ring_tx.o \
			ring.o \
			tprintf.o \
			timer.o \
			mac80211.o \
			die.o \
			sysctl.o \
			netsniff-ng.o

ifeq ($(CONFIG_LIBPCAP), 1)
netsniff-ng-objs +=	bpf_comp.o
endif
ifeq ($(CONFIG_GEOIP), 1)
netsniff-ng-objs +=	geoip.o
endif
ifeq ($(CONFIG_HWTSTAMP), 1)
netsniff-ng-objs +=	tstamping.o
endif

netsniff-ng-eflags = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-3.0) \
		     $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-genl-3.0) \
		     $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-route-3.0) \
		     -DNEED_TCPDUMP_LIKE_FILTER

netsniff-ng-confs =	ether.conf \
			tcp.conf \
			udp.conf \
			oui.conf \
			geoip.conf

=== trafgen/Makefile ===
trafgen-libs =	$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-3.0) \
		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-genl-3.0) \
		-lm

trafgen-objs =	xmalloc.o \
		die.o \
		ioops.o \
		privs.o \
		proc.o \
		dev.o \
		irq.o \
		link.o \
		str.o \
		sig.o \
		sock.o \
		mac80211.o \
		ring_tx.o \
		ring.o \
		timer.o \
		sysctl.o \
		trafgen_lexer.yy.o \
		trafgen_parser.tab.o \
		trafgen.o

trafgen-lex =	trafgen_lexer.yy.o

trafgen-yaac =	trafgen_parser.tab.o

trafgen-eflags = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-3.0) \
		 $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-genl-3.0) \
		 -I..

trafgen-confs =	trafgen_stddef.h

trafgen_post_install:
	$(Q)mv $(DESTDIR)$(ETCDIRE)/trafgen_stddef.h $(DESTDIR)$(ETCDIRE)/stddef.h

trafgen_clean_custom:
	$(Q)$(call RM,$(BUILD_DIR)/*.h $(BUILD_DIR)/*.c)

=== debian/changelog ===
netsniff-ng (0.6.0-1build2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:43:49 +0000

netsniff-ng (0.6.0-1build1) xenial; urgency=medium

  * Rebuild for liburcu4.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Nov 2015 23:07:57 +0000

netsniff-ng (0.6.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Added Build-Depends on libnl-route-3-dev
  * debian/copyright:
    + Added missing *.zsh files copyright.

 -- Kartik Mistry <kartik@debian.org>  Sat, 07 Nov 2015 12:42:13 +0530

netsniff-ng (0.5.9-3) unstable; urgency=low

  * Use libsodium instead of libnacl. Thanks to Tomasz Buchert
    <tomasz@debian.org> for patch.

 -- Kartik Mistry <kartik@debian.org>  Wed, 23 Sep 2015 17:03:50 +0530

netsniff-ng (0.5.9-2) unstable; urgency=low

  * debian/control:
    + Remove cmake from Build-Depends, as it's no longer used.
    + Fixed Vcs-Browser path.
    + Bumped debhelper dependency and debian/compat.
  * debian/rules:
    + Use verbose build to make compiler flags visible in buildd logs.

 -- Kartik Mistry <kartik@debian.org>  Sat, 22 Aug 2015 17:05:08 +0530

=== debian/control ===
Source: netsniff-ng
Section: net
Priority: optional
Build-Depends: bison,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1~),
               flex,
               libcli-dev,
               libgeoip-dev,
               libncurses5-dev,
               libnet1-dev,
               libnetfilter-conntrack-dev,
               libnl-3-dev,
               libnl-genl-3-dev,
               libnl-route-3-dev,
               libpcap-dev,
               libsodium-dev,
               liburcu-dev,
               zlib1g-dev
Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
Uploaders: Kartik Mistry <kartik@debian.org>,
           Tobias Klauser <tklauser@distanz.ch>
Standards-Version: 3.9.6
Homepage: http://www.netsniff-ng.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/netsniff-ng.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git

Package: netsniff-ng
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ntp
Description: Linux network packet sniffer toolkit
 netsniff-ng is a high performance Linux network sniffer for packet inspection.
 It can be used for protocol analysis, reverse engineering or network
 debugging. The gain of performance is reached by 'zero-copy' mechanisms, so
 that the kernel does not need to copy packets from kernelspace to userspace.
 .
 netsniff-ng toolkit currently consists of the following utilities:
 .
  * netsniff-ng: the zero-copy sniffer, pcap capturer and replayer itself.
  * astraceroute: an autonomous system trace route and DPI testing utility.
  * bpfc: a tiny Berkeley Packet Filter compiler supporting Linux extensions.
  * curvetun: a lightweight curve25519-based multiuser IP tunnel.
  * flowtop: a top-like netfilter connection tracking tool.
  * ifpps: a top-like kernel networking and system statistics tool.
  * mausezahn: a fast versatile packet generator with Cisco-cli.
  * trafgen: a high performance zero-copy network packet generator.

=== debian/rules ===
#!/usr/bin/make -f
#
# debian/rules for netsniff-ng
# by Daniel Borkmann

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

#NACL needs this
export NACL_INC_DIR=/usr/include/sodium
export NACL_LIB=sodium

configure: configure-stamp
configure-stamp:
	dh_testdir
	./configure
	touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE) PREFIX=/usr ETCDIR=/etc
	touch $@

clean:
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc DESTDIR=$(CURDIR)/debian/netsniff-ng install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d*)$/~$1/ \
http://pub.netsniff-ng.org/netsniff-ng/ \
(?:|.*/)netsniff-ng[_\-]v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## netsniff-ng 0.6.1

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 0
+SUBLEVEL = 1
 EXTRAVERSION =
-NAME = avril altdelay
+NAME = aisatsana
 
 TOOLS ?= $(CONFIG_TOOLS)
 TOOLS ?= netsniff-ng trafgen astraceroute flowtop ifpps bpfc curvetun mausezahn
@@ -181,4 +181,4 @@
 %:: ;
 
 $(TOOLS):
-	$(LDQ) $(LDFLAGS) -o $@/$@ $@/*.o $($@-libs)
+	$(LDQ) $(LDFLAGS) -o $@/$@ $(shell LC_ALL=C ls $@/*.o) $($@-libs)

=== flowtop/Makefile ===
--- 
+++ 
@@ -11,7 +11,6 @@
 endif
 
 flowtop-objs =	xmalloc.o \
-		oui.o \
 		str.o \
 		sig.o \
 		sock.o \

=== netsniff-ng/Makefile ===
--- 
+++ 
@@ -55,7 +55,6 @@
 			xmalloc.o \
 			hash.o \
 			bpf.o \
-			oui.o \
 			pcap_rw.o \
 			pcap_sg.o \
 			pcap_mm.o \

=== trafgen/Makefile ===
--- 
+++ 
@@ -18,6 +18,11 @@
 		ring.o \
 		timer.o \
 		sysctl.o \
+		cpp.o \
+		trafgen_proto.o \
+		trafgen_l2.o \
+		trafgen_l3.o \
+		trafgen_l4.o \
 		trafgen_lexer.yy.o \
 		trafgen_parser.tab.o \
 		trafgen.o

=== debian/changelog ===
netsniff-ng (0.6.1-2) unstable; urgency=low

  * debian/rules:
    + Unhide compiler flags.

 -- Kartik Mistry <kartik@debian.org>  Thu, 28 Apr 2016 09:07:46 +0530

netsniff-ng (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.7
    + Fixed Vcs-* URLs.
    + Updated long description.

 -- Kartik Mistry <kartik@debian.org>  Wed, 27 Apr 2016 10:58:43 +0530

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.netsniff-ng.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/netsniff-ng.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/netsniff-ng.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
 
 Package: netsniff-ng
@@ -37,11 +37,11 @@
  .
  netsniff-ng toolkit currently consists of the following utilities:
  .
-  * netsniff-ng: the zero-copy sniffer, pcap capturer and replayer itself.
-  * astraceroute: an autonomous system trace route and DPI testing utility.
-  * bpfc: a tiny Berkeley Packet Filter compiler supporting Linux extensions.
-  * curvetun: a lightweight curve25519-based multiuser IP tunnel.
-  * flowtop: a top-like netfilter connection tracking tool.
-  * ifpps: a top-like kernel networking and system statistics tool.
-  * mausezahn: a fast versatile packet generator with Cisco-cli.
-  * trafgen: a high performance zero-copy network packet generator.
+  * netsniff-ng: a zero-copy packet analyzer, pcap capturing/replaying tool
+  * trafgen: a multithreaded low-level zero-copy network packet generator
+  * mausezahn: high-level packet generator for appliances with Cisco-CLI
+  * ifpps: a top-like kernel networking and system statistics tool
+  * curvetun: a lightweight curve25519-based multiuser IP tunnel
+  * astraceroute: an autonomous system trace route and DPI testing utility
+  * flowtop: a top-like netfilter connection tracking tool
+  * bpfc: a [seccomp-]BPF (Berkeley packet filter) compiler, JIT disassembler

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	$(MAKE) PREFIX=/usr ETCDIR=/etc
+	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc
 	touch $@
 
 clean:

## netsniff-ng 0.6.2

=== Makefile ===
--- 
+++ 
@@ -15,15 +15,14 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 1
+SUBLEVEL = 2
 EXTRAVERSION =
-NAME = aisatsana
+NAME = Circlon
 
 TOOLS ?= $(CONFIG_TOOLS)
-TOOLS ?= netsniff-ng trafgen astraceroute flowtop ifpps bpfc curvetun mausezahn
 
 # For packaging purposes, prefix can define a different path.
-PREFIX ?= /usr/local
+PREFIX ?= $(CONFIG_PREFIX)
 
 # Set to use ccache for compilation
 CCACHE ?=
@@ -35,7 +34,7 @@
 # Location of installation paths.
 SBINDIR = $(PREFIX)/sbin
 INCDIR = $(PREFIX)/include
-ETCDIR ?= /etc
+ETCDIR ?= $(CONFIG_ETCDIR)
 ETCDIRE = $(ETCDIR)/netsniff-ng
 MAN8DIR = $(PREFIX)/share/man/man8
 
@@ -49,7 +48,11 @@
 ifeq ("$(origin DEBUG)", "command line")
   DEBUG := 1
 else
-  DEBUG := 0
+  ifeq ($(CONFIG_DEBUG), 1)
+    DEBUG := 1
+  else
+    DEBUG := 0
+  endif
 endif
 
 # Compiler detection
@@ -66,10 +69,19 @@
 #   make CFLAGS="<flags>"
 CFLAGS_DEF  = -std=gnu99
 CFLAGS_DEF += -pipe
-CFLAGS_DEF += -O2
 
 ifeq ($(DEBUG), 1)
   CFLAGS_DEF += -g
+  CFLAGS_DEF += -O0
+  CFLAGS_DEF += -fno-omit-frame-pointer
+else
+  CFLAGS_DEF += -O2
+  CFLAGS_DEF += -fomit-frame-pointer
+  CFLAGS_DEF += -fno-strict-aliasing
+  CFLAGS_DEF += -fasynchronous-unwind-tables
+  ifneq ($(COMPILER), clang)
+    CFLAGS_DEF += -fno-delete-null-pointer-checks
+  endif
 endif
 
 ifeq ($(HARDENING), 1)
@@ -81,13 +93,6 @@
   CFLAGS_DEF += -ftrapv
   CFLAGS_DEF += -U_FORTIFY_SOURCE -D_FORTIFY_SOURCE=2
   CFLAGS_DEF += -fexceptions
-endif
-
-CFLAGS_DEF += -fomit-frame-pointer
-CFLAGS_DEF += -fno-strict-aliasing
-CFLAGS_DEF += -fasynchronous-unwind-tables
-ifneq ($(COMPILER), clang)
-CFLAGS_DEF += -fno-delete-null-pointer-checks
 endif
 
 CFLAGS_MIN  = -D_REENTRANT

=== bpfc/Makefile ===
--- 
+++ 
@@ -7,6 +7,8 @@
 		bpf_parser.tab.o \
 		die.o \
 		sysctl.o \
+		proc.o \
+		cpp.o \
 		bpfc.o
 
 bpfc-lex =	bpf_lexer.yy.o

=== flowtop/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 		screen.o \
 		die.o \
 		sysctl.o \
+		ui.o \
 		flowtop.o
 
 ifeq ($(CONFIG_GEOIP), 1)

=== trafgen/Makefile ===
trafgen-libs =	-lm

ifeq ($(CONFIG_LIBNL), 1)
trafgen-libs +=	$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-3.0) \
		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-genl-3.0)
endif

trafgen-objs =	xmalloc.o \
		die.o \
		ioops.o \
		privs.o \
		proc.o \
		dev.o \
		irq.o \
		link.o \
		str.o \
		sig.o \
		sock.o \
		ring_tx.o \
		ring.o \
		timer.o \
		sysctl.o \
		cpp.o \
		trafgen_proto.o \
		trafgen_l2.o \
		trafgen_l3.o \
		trafgen_l4.o \
		trafgen_lexer.yy.o \
		trafgen_parser.tab.o \
		trafgen.o

ifeq ($(CONFIG_LIBNL), 1)
trafgen-objs += mac80211.o
endif

trafgen-lex =	trafgen_lexer.yy.o

trafgen-yaac =	trafgen_parser.tab.o

trafgen-eflags = -I..

ifeq ($(CONFIG_LIBNL), 1)
trafgen-eflags = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-3.0) \
		 $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-genl-3.0)
endif

trafgen-confs =	trafgen_stddef.h

trafgen_post_install:
	$(Q)mv $(DESTDIR)$(ETCDIRE)/trafgen_stddef.h $(DESTDIR)$(ETCDIRE)/stddef.h

trafgen_clean_custom:
	$(Q)$(call RM,$(BUILD_DIR)/*.h $(BUILD_DIR)/*.c)

=== debian/changelog ===
netsniff-ng (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Updated Standards-Version to 3.9.8
  * debian/rules:
    + Removed empty dbg package.

 -- Kartik Mistry <kartik@debian.org>  Fri, 09 Dec 2016 20:52:29 +0530

=== debian/control ===
--- 
+++ 
@@ -20,7 +20,7 @@
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://www.netsniff-ng.org/
 Vcs-Git: https://anonscm.debian.org/collab-maint/netsniff-ng.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git

## netsniff-ng 0.6.3

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 2
+SUBLEVEL = 3
 EXTRAVERSION =
-NAME = Circlon
+NAME = Mookid
 
 TOOLS ?= $(CONFIG_TOOLS)
 
@@ -175,11 +175,11 @@
 uninstall: $(foreach tool,$(TOOLS),$(tool)_uninstall)
 
 %.yy.o: %.l
-	$(LEX) -P $(shell perl -wlne 'print $$1 if /lex-func-prefix:\s([a-z]+)/' $<) \
-	       -o $(BUILD_DIR)/$(shell basename $< .l).yy.c $(LEX_FLAGS) $<
+	$(LEXQ) -P $(shell perl -wlne 'print $$1 if /lex-func-prefix:\s([a-z]+)/' $<) \
+	        -o $(BUILD_DIR)/$(shell basename $< .l).yy.c $(LEX_FLAGS) $<
 %.tab.o: %.y
-	$(YAAC) -p $(shell perl -wlne 'print $$1 if /yaac-func-prefix:\s([a-z]+)/' $<) \
-		-o $(BUILD_DIR)/$(shell basename $< .y).tab.c $(YAAC_FLAGS) -d $<
+	$(YACCQ) -p $(shell perl -wlne 'print $$1 if /yacc-func-prefix:\s([a-z]+)/' $<) \
+		 -o $(BUILD_DIR)/$(shell basename $< .y).tab.c $(YAAC_FLAGS) -d $<
 
 $(foreach tool,$(TOOLS),$(eval $(call TOOL_templ,$(tool))))

=== trafgen/Makefile ===
--- 
+++ 
@@ -21,6 +21,10 @@
 		timer.o \
 		sysctl.o \
 		cpp.o \
+		pcap_sg.o \
+		pcap_rw.o \
+		pcap_mm.o \
+		iosched.o \
 		trafgen_proto.o \
 		trafgen_l2.o \
 		trafgen_l3.o \
@@ -35,7 +39,7 @@
 
 trafgen-lex =	trafgen_lexer.yy.o
 
-trafgen-yaac =	trafgen_parser.tab.o
+trafgen-yacc =	trafgen_parser.tab.o
 
 trafgen-eflags = -I..

=== debian/changelog ===
netsniff-ng (0.6.3-1) unstable; urgency=medium

  * New upstream release:
    + Fix FTBFS: error: 'GENL_ID_GENERATE' undeclared error (Closes: #867007)
  * debian/control:
    + Updated Standards-Version to 4.0.0
    + Fixed Vcs-Git URL.
  * debian/watch:
    + Updated to version 4.

 -- Kartik Mistry <kartik@debian.org>  Mon, 17 Jul 2017 13:04:10 +0530

=== debian/control ===
--- 
+++ 
@@ -20,9 +20,9 @@
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.netsniff-ng.org/
-Vcs-Git: https://anonscm.debian.org/collab-maint/netsniff-ng.git
+Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
 
 Package: netsniff-ng

## netsniff-ng 0.6.4

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 3
+SUBLEVEL = 4
 EXTRAVERSION =
-NAME = Mookid
+NAME = Spiral Staircase
 
 TOOLS ?= $(CONFIG_TOOLS)
 
@@ -175,10 +175,10 @@
 uninstall: $(foreach tool,$(TOOLS),$(tool)_uninstall)
 
 %.yy.o: %.l
-	$(LEXQ) -P $(shell perl -wlne 'print $$1 if /lex-func-prefix:\s([a-z]+)/' $<) \
+	$(LEXQ) -P $(shell sed -rn 's/.*lex-func-prefix:\s([a-z]+).*/\1/gp' $<) \
 	        -o $(BUILD_DIR)/$(shell basename $< .l).yy.c $(LEX_FLAGS) $<
 %.tab.o: %.y
-	$(YACCQ) -p $(shell perl -wlne 'print $$1 if /yacc-func-prefix:\s([a-z]+)/' $<) \
+	$(YACCQ) -p $(shell sed -rn 's/.*yacc-func-prefix:\s([a-z]+).*/\1/gp' $<) \
 		 -o $(BUILD_DIR)/$(shell basename $< .y).tab.c $(YAAC_FLAGS) -d $<
 
 $(foreach tool,$(TOOLS),$(eval $(call TOOL_templ,$(tool))))

=== bpfc/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 bpfc-lex =	bpf_lexer.yy.o
 
-bpfc-yaac =	bpf_parser.tab.o
+bpfc-yacc =	bpf_parser.tab.o
 
 bpfc-eflags =	-I..

=== netsniff-ng/Makefile ===
--- 
+++ 
@@ -1,7 +1,4 @@
-netsniff-ng-libs =	$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-3.0) \
-			$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-genl-3.0) \
-			$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-route-3.0) \
-			-lpthread
+netsniff-ng-libs =	-lpthread
 
 ifeq ($(CONFIG_LIBPCAP), 1)
 netsniff-ng-libs +=	-lpcap
@@ -9,6 +6,11 @@
 ifeq ($(CONFIG_GEOIP), 1)
 netsniff-ng-libs +=	-lGeoIP \
 			-lz
+endif
+ifeq ($(CONFIG_LIBNL), 1)
+netsniff-ng-libs +=	$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-3.0) \
+			$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-genl-3.0) \
+			$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnl-route-3.0)
 endif
 
 netsniff-ng-objs =	dissector.o \
@@ -34,7 +36,6 @@
 			proto_ipv6_no_nxt_hdr.o \
 			proto_ipv6_routing.o \
 			proto_lldp.o \
-			proto_nlmsg.o \
 			proto_none.o \
 			proto_tcp.o \
 			proto_udp.o \
@@ -63,7 +64,6 @@
 			ring.o \
 			tprintf.o \
 			timer.o \
-			mac80211.o \
 			die.o \
 			sysctl.o \
 			netsniff-ng.o
@@ -77,11 +77,18 @@
 ifeq ($(CONFIG_HWTSTAMP), 1)
 netsniff-ng-objs +=	tstamping.o
 endif
+ifeq ($(CONFIG_LIBNL), 1)
+netsniff-ng-objs +=	mac80211.o \
+			proto_nlmsg.o
+endif
 
-netsniff-ng-eflags = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-3.0) \
-		     $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-genl-3.0) \
-		     $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-route-3.0) \
-		     -DNEED_TCPDUMP_LIKE_FILTER
+netsniff-ng-eflags = -DNEED_TCPDUMP_LIKE_FILTER
+
+ifeq ($(CONFIG_LIBNL), 1)
+netsniff-ng-eflags += $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-3.0) \
+		      $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-genl-3.0) \
+		      $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags libnl-route-3.0)
+endif
 
 netsniff-ng-confs =	ether.conf \
 			tcp.conf \

=== trafgen/Makefile ===
--- 
+++ 
@@ -25,10 +25,13 @@
 		pcap_rw.o \
 		pcap_mm.o \
 		iosched.o \
+		trafgen_dev.o \
+		trafgen_dump.o \
 		trafgen_proto.o \
 		trafgen_l2.o \
 		trafgen_l3.o \
 		trafgen_l4.o \
+		trafgen_l7.o \
 		trafgen_lexer.yy.o \
 		trafgen_parser.tab.o \
 		trafgen.o

=== debian/changelog ===
netsniff-ng (0.6.4-1) unstable; urgency=low

  * New upstream release:
    + Fix FTBFS error (Closes: #886385)
  * debian/control:
    + Updated to Standards-Version 4.1.3
  * Removed trailing whitespace from debian/changelog.
  * Update debian/compat to 11.

 -- Kartik Mistry <kartik@debian.org>  Sat, 06 Jan 2018 10:31:15 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 9),
+               debhelper (>= 11),
                dpkg-dev (>= 1.16.1~),
                flex,
                libcli-dev,
@@ -20,7 +20,7 @@
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.netsniff-ng.org/
 Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git

=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 	dh_installdocs
 	dh_installman
 	dh_installchangelogs
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 	dh_compress
 	dh_fixperms
 	dh_installdeb

=== debian/watch ===
version=4
opts="uversionmangle=s/-(rc\d*)$/~$1/" \
http://pub.netsniff-ng.org/netsniff-ng/ \
(?:|.*/)netsniff-ng[_\-]v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## netsniff-ng 0.6.5

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 4
+SUBLEVEL = 5
 EXTRAVERSION =
 NAME = Spiral Staircase
 
@@ -36,6 +36,7 @@
 INCDIR = $(PREFIX)/include
 ETCDIR ?= $(CONFIG_ETCDIR)
 ETCDIRE = $(ETCDIR)/netsniff-ng
+DATDIR = $(PREFIX)/share/netsniff-ng
 MAN8DIR = $(PREFIX)/share/man/man8
 
 # Shut up make, helper warnings, parallel compilation!
@@ -102,6 +103,7 @@
 CFLAGS_MIN += -DVERSION_STRING=\"$(VERSION_STRING)\"
 CFLAGS_MIN += -DVERSION_LONG=\"$(VERSION_LONG)\"
 CFLAGS_MIN += -DETCDIRE_STRING=\"$(ETCDIRE)\"
+CFLAGS_MIN += -DDATDIR_STRING=\"$(DATDIR)\"
 
 WFLAGS_DEF  = -Wall
 
@@ -170,6 +172,7 @@
 
 install: install_all
 install_all: $(foreach tool,$(TOOLS),$(tool)_install)
+	$(Q)$(call INSTD,$(DESTDIR)$(DATDIR))
 install_allbutcurvetun: $(foreach tool,$(filter-out curvetun,$(TOOLS)),$(tool)_install)
 install_allbutmausezahn: $(foreach tool,$(filter-out mausezahn,$(TOOLS)),$(tool)_install)
 uninstall: $(foreach tool,$(TOOLS),$(tool)_uninstall)

=== debian/changelog ===
netsniff-ng (0.6.5-1build1) focal; urgency=medium

  * No-change rebuild against libcli1.10

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 31 Oct 2019 05:43:59 +0000

netsniff-ng (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    + Updated to use https mirror from upstream.
    + Use upstream PGP sign key.
  * debian/control:
    + Updated to Standards-Version 4.2.1
  * debian/rules:
    + Remove empty directory.

 -- Kartik Mistry <kartik@debian.org>  Thu, 20 Sep 2018 18:36:14 +0530

netsniff-ng (0.6.4-2) unstable; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Updated to Standards-Version 4.1.4
  * debian/rules
    + Updated for new dh style.
    + Fixed Hardening.

 -- Kartik Mistry <kartik@debian.org>  Mon, 18 Jun 2018 14:15:05 +0530

=== debian/control ===
--- 
+++ 
@@ -17,13 +17,14 @@
                libsodium-dev,
                liburcu-dev,
                zlib1g-dev
-Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.1.3
-Homepage: http://www.netsniff-ng.org/
-Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/netsniff-ng.git
+Standards-Version: 4.2.1
+Homepage: http://netsniff-ng.org/
+Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
+Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng
 
 Package: netsniff-ng
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

#NACL needs this
export NACL_INC_DIR=/usr/include/sodium
export NACL_LIB=sodium

override_dh_auto_clean:
	dh_clean

override_dh_auto_configure:
	./configure

override_dh_auto_build:
	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc

override_dh_auto_install:
	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc DESTDIR=$(CURDIR)/debian/netsniff-ng install
	find debian/netsniff-ng -type d -empty -delete

override_dh_strip:
	dh_strip --no-automatic-dbgsym

%:
	dh $@

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sign/" \
https://mirror.distanz.ch/netsniff-ng/ \
    (?:|.*/)netsniff-ng[_\-]v?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## netsniff-ng 0.6.6

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 5
+SUBLEVEL = 6
 EXTRAVERSION =
-NAME = Spiral Staircase
+NAME = Syro
 
 TOOLS ?= $(CONFIG_TOOLS)

=== debian/changelog ===
netsniff-ng (0.6.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    + Updated to Standards-Version 4.3.0
  * debian/upstream/signing-key.asc:
    + Make it really usable.
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Mon, 20 May 2019 18:53:24 +0530

=== debian/control ===
--- 
+++ 
@@ -17,11 +17,10 @@
                libsodium-dev,
                liburcu-dev,
                zlib1g-dev
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
+Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>,
            Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://netsniff-ng.org/
 Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng

## netsniff-ng 0.6.8

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 6
+SUBLEVEL = 8
 EXTRAVERSION =
-NAME = Syro
+NAME = Flutternozzle
 
 TOOLS ?= $(CONFIG_TOOLS)

=== flowtop/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 flowtop-libs =	-lurcu \
-		-lnetfilter_conntrack \
+		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libnetfilter_conntrack 2> /dev/null ) \
 		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs ncurses 2> /dev/null \
 			|| echo '-lncurses') \
 		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs tinfo 2> /dev/null ) \

=== ifpps/Makefile ===
ifpps-libs =	$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs ncurses 2> /dev/null \
			|| echo '-lncurses') \
		$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs tinfo 2> /dev/null )

ifpps-objs =	xmalloc.o \
		ioops.o \
		str.o \
		link.o \
		sock.o \
		dev.o \
		sig.o \
		screen.o \
		die.o \
		sysctl.o \
		ifpps.o

ifpps-eflags = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --cflags ncurses 2> /dev/null)

ifpps-confs =

=== mausezahn/Makefile ===
--- 
+++ 
@@ -7,6 +7,10 @@
 
 mausezahn-objs =	str.o \
 			die.o \
+			dev.o \
+			sock.o \
+			link.o \
+			sysctl.o \
 			xmalloc.o \
 			staging/layer1.o \
 			staging/layer2.o \

=== debian/changelog ===
netsniff-ng (0.6.8-3) unstable; urgency=low

  * debian/control:
    + Recommends ntpsec instead of ntp.
    + Updated to Standards-Version 4.6.0
  * Simplified debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Fri, 08 Apr 2022 16:55:30 +0530

netsniff-ng (0.6.8-2) unstable; urgency=medium

  * debian/control:
    + Updated Uploaders as per MIA team request (Closes: #969983)

 -- Kartik Mistry <kartik@debian.org>  Tue, 12 Jan 2021 09:11:58 +0530

netsniff-ng (0.6.8-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release:
    + Fix mausezahn build with GCC 10 (Closes: #957601)
  * debian/control:
    + Updated to Standards-Version 4.5.1
    + Switched to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Added debian/upstream/metadata file.
  * debian/rules:
    + Do not call dh_dwz, which generates unneeded debug files.

  [ Helmut Grohne ]
  * debian/rules:
    + Fix FTCBFS: Tell ./configure about the host architecture.
      (Closes: #914642)

 -- Kartik Mistry <kartik@debian.org>  Mon, 11 Jan 2021 18:36:02 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Build-Depends: bison,
-               debhelper (>= 11),
+               debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
                flex,
                libcli-dev,
@@ -18,17 +18,17 @@
                liburcu-dev,
                zlib1g-dev
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
-Uploaders: Kartik Mistry <kartik@debian.org>,
-           Tobias Klauser <tklauser@distanz.ch>
-Standards-Version: 4.3.0
+Uploaders: Kartik Mistry <kartik@debian.org>
+Standards-Version: 4.6.0
 Homepage: http://netsniff-ng.org/
 Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng
+Rules-Requires-Root: no
 
 Package: netsniff-ng
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ntp
+Recommends: ntpsec
 Description: Linux network packet sniffer toolkit
  netsniff-ng is a high performance Linux network sniffer for packet inspection.
  It can be used for protocol analysis, reverse engineering or network

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sign/" \
https://mirror.distanz.ch/netsniff-ng/ \
    @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## netsniff-ng 0.6.9

=== Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 
 VERSION = 0
 PATCHLEVEL = 6
-SUBLEVEL = 8
+SUBLEVEL = 9
 EXTRAVERSION =
-NAME = Flutternozzle
+NAME = Analogue Bubblebath
 
 TOOLS ?= $(CONFIG_TOOLS)

=== mausezahn/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 mausezahn-libs =	-lcli \
 			-lnet \
-			-lpcap \
+			$(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) $(PKG_CONFIG) --libs libpcap 2> /dev/null ) \
 			-lrt \
 			-lpthread \
 			-lm

=== netsniff-ng/Makefile ===
--- 
+++ 
@@ -39,6 +39,7 @@
 			proto_none.o \
 			proto_tcp.o \
 			proto_udp.o \
+			proto_dccp.o \
 			proto_vlan.o \
 			proto_vlan_q_in_q.o \
 			proto_mpls_unicast.o \

=== debian/changelog ===
netsniff-ng (0.6.9-2) unstable; urgency=low

  * Acknowledge NMU. Thanks Chris Hofstaedtler.
  * Updated debian/watch to standard 5.
  * debian/control:
    + Updated to Standards-Version 4.7.2
    + Removed 'Rules-Requires-Root' field.
  * debian/copyright:
    + Removed old FSF address.
  * debian/rules:
    + Fix clean rules to avoid FTBFS after successful build (Closes: #1047501)
  * Added patch to fix missing CPPFLAGS in the build.

 -- Kartik Mistry <kartik@debian.org>  Sun, 07 Dec 2025 20:14:32 +0530

netsniff-ng (0.6.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream fix to build with gcc-15 (Closes: #1097456)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 22 Sep 2025 18:18:23 +0200

netsniff-ng (0.6.9-1) unstable; urgency=medium

  * New upstream release:
    + Dropped upstream patch, merged upstream.

 -- Kartik Mistry <kartik@debian.org>  Wed, 08 Jan 2025 11:18:59 +0530

netsniff-ng (0.6.8-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Recommends: add | time-daemon (Closes: #1001825)
  * Add upstream patch to fix makefile ordering (Closes: #1001825)
  * Replace obsolete Build-Depends: libncurses5-dev with libncurses-dev

  [ Kartik Mistry ]
  * Updated Standards-Version to 4.7.0

 -- Kartik Mistry <kartik@debian.org>  Tue, 07 Jan 2025 18:28:20 +0530

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: netsniff-ng
 Section: net
 Priority: optional
-Build-Depends: bison,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1~),
+               bison,
                flex,
                libcli-dev,
                libgeoip-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libnet1-dev,
                libnetfilter-conntrack-dev,
                libnl-3-dev,
@@ -19,16 +19,15 @@
                zlib1g-dev
 Maintainer: Daniel Borkmann <daniel.borkmann@alumni.ethz.ch>
 Uploaders: Kartik Mistry <kartik@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: http://netsniff-ng.org/
 Vcs-Git: https://salsa.debian.org/debian/netsniff-ng.git
 Vcs-Browser: https://salsa.debian.org/debian/netsniff-ng
-Rules-Requires-Root: no
 
 Package: netsniff-ng
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: ntpsec
+Recommends: ntpsec | time-daemon
 Description: Linux network packet sniffer toolkit
  netsniff-ng is a high performance Linux network sniffer for packet inspection.
  It can be used for protocol analysis, reverse engineering or network

=== debian/rules ===
--- 
+++ 
@@ -7,21 +7,31 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-CFLAGS+=$(CPPFLAGS)
-CXXFLAGS+=$(CPPFLAGS)
+#upstream hardening
+export DEBUG = 0
+export HARDENING = 1
+
+include /usr/share/dpkg/architecture.mk
+export CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
 
 #NACL needs this
 export NACL_INC_DIR=/usr/include/sodium
 export NACL_LIB=sodium
 
 override_dh_auto_clean:
+	@if [ -f Config ]; then \
+		$(MAKE) distclean; \
+	fi
+
 	dh_clean
 
 override_dh_auto_configure:
 	./configure
 
 override_dh_auto_build:
-	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc
+	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc \
+			CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
+			LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	$(MAKE) Q= PREFIX=/usr ETCDIR=/etc DESTDIR=$(CURDIR)/debian/netsniff-ng install
@@ -30,5 +40,8 @@
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
 
+override_dh_dwz:
+	#Do not generate debug files.
+
 %:
 	dh $@

=== debian/watch ===
Version: 5

Source: https://mirror.distanz.ch/netsniff-ng/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sign/
